Solución al problema de la extensión php-zip para moodle en fedora 16

1. Al instalar Moodle a partir de la version 2.0 nos encontraremos con el siguiente problema.

2. Compilar la extensión del pecl de php en fedora 16. a) Ingresar a la siguiente direccion web para descargar el paquete. http://pecl.php.net/package/zip Hacer clic en Download Latest.

b) Una vez decargado, procedemos a descomprimirlo: $ tar -xvf zip-1.10.2.tgz c) Ingresamos al directorio donde se descomprimio el paquete. $ cd zip-1.10.2/ e) Ahi dentro, lo primero que tenemos que hacer es "phpisarlo": $ phpize

ini a) Desde el directorio etc abrir el archivo php. como root o con sudo./configure g) Luego de eso el configure termina ok./configure.lo] Error 1 ERROR: `make' failed Realiza la siguiente instalación: yum install pcre.ini. $. Paso siguiente. # service httpd restart . luego reiniciar el servicio de Apache. y si no dio ningún error.f) Lanzamos el tipico .ini b) En alguna parte del documento agregar la siguiente linea: extension=zip.so c) Guardar el fichero y cerrar. # gedit php. se puede usar el parametro --help para ver mas opciones de compilación. compilar: $ make -j6 ¿Qué es el parametro -j ? j indica la cantidad de "jobs" que usará make para compilar. Configurar php. lo instalamos con make: # make install Si te muestra un error del siguiente modo: make: *** [php_zip. el cual debe ser la cantidad de nucleos de tu procesador.x86_64 Vuelva a ejecutar #make install 3. Una vez que termina de compilar.x86_64 pcre-devel.

d) Regresar a la pantalla de instalación de Moodle y presionar el botón Recargar y pasara al siguiente paso. e) Continuar con la Instalación hasta llegar al final. Hermitaño Atencio bernardoha@gmail.com . Bernardo C.